Creates a customer you can attach payment methods and deposits to.
Parameters
emailstringbodyrequiredCustomer email address.
namestringbodyFull name.
phonestringbodyE.164 phone number.
metadataobjectbodyUp to 20 key/value pairs.
curl -X POST https://sandboxgateway.supapay.co.za/v1/customers \
-H "Authorization: Bearer sp_test_4eC39HqLyjWDarjtT1" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: 7f9c2b1e-order-1001" \
-d '{
"email": "thandi@example.co.za",
"name": "Thandi Nkosi",
"phone": "+27821234567",
"metadata": {
"order_ref": "A1001"
}
}'Response · 200
{
"id": "cust_8fK2pQ1mZx",
"object": "customer",
"email": "thandi@example.co.za",
"name": "Thandi Nkosi",
"phone": "+27821234567",
"metadata": {
"order_ref": "A1001"
},
"created_at": "2026-10-30T09:15:00Z"
}